<?php
include("includes/site_info.php");

$page_value = $_GET['page_value'];

switch($_GET['page'])  {
	case 'mcover' : $page = header("Location: covermain.php"); break;
	case 'msearch' : $page = header("Location: search.php".$page_value); break;
	case 'mcategories' : $page = header("Location: categories.php".$page_value); break;
	case 'mshowPost' : $page = header("Location: mshowlist.php".$page_value); break;
	case 'mlistings' : $page = header("Location: mshowall.php".$page_value); break;

	case 'cstart' : $page = header("Location: confirm_marketer.php"); break;
	case 'ccover' : $page = header("Location: cover.php"); break;
	case 'csummary' : $page = header("Location: summary.php"); break;
	case 'cactive' : $page = header("Location: activelisting.php"); break;
	case 'cinactive' : $page = header("Location: inactivelisting.php"); break;
	case 'cacc' : $page = header("Location: account.php".$page_value); break;
	case 'ceditAcc' : $page = header("Location: accountEdit.php".$page_value); break;
	case 'ceditPost' : $page = header("Location: postEdit.php".$page_value); break;
	case 'cshowPost' : $page = header("Location: showlist.php".$page_value); break;
	case 'cshowInPost' : $page = header("Location: showInlist.php".$page_value); break;
	case 'caddPostOffer' : $page = header("Location: postOffer.php".$page_value); break;
	case 'caddPostWanted' : $page = header("Location: postWanted.php".$page_value); break;
}

echo $page;

if(!preg_match("/mshowPost/",$_GET['page'])){
$_SESSION["PreviousScriptName"] = $_GET['page'];
}

?>
